# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'validocno/version'

Gem::Specification.new do |spec|
  spec.name          = 'validocno'
  spec.version       = Validocno::VERSION
  spec.authors       = ['Artem Pakk']
  spec.email         = ['artem.pakk@deskrock.ee']
  spec.summary       = 'Estonian ID validator'
  spec.description   = 'Ruby gem to check validity of Estonian ID card or Estonian Passport'
  spec.homepage      = 'https://github.com/deskrock/validocno'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.test_files    = spec.files.grep(/^(spec)\//)
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 1.8.7'

  spec.add_dependency 'rest-client'
  spec.add_dependency 'nokogiri'
  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.1.0'
  spec.add_development_dependency 'webmock', '~> 1.20.0'
end
